<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 29/7/2018
 * Time: 10:48 PM
 */

include '../comun/validarSesion.php';
if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['id_consulta']) && isset($_REQUEST['id_opcion'])) {
            $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
            $condominio = $Valido->retornarDatos($creadoPor);
            $validar  = R::findOne( 'voto', ' id_usuario =:id_usuario AND id_consulta =:id_consulta',array('id_usuario' => $creadoPor, 'id_consulta' => $_REQUEST['id_consulta']));
            if (is_null($validar)==TRUE){
                $voto = R::dispense('voto');
                $voto->id_consulta = $_REQUEST['id_consulta'];
                $voto->id_opcion = $_REQUEST['id_opcion'];
                $voto->id_usuario = $creadoPor;
                $id = R::store($voto);
                include '../comun/mensajeCreado.php';
            }else{
                include '../comun/mensajeYaExiste.php';
            }
        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}